<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.toutiao.modules.report.mapper.BytedancePlanHourlyReportMapper">
    <insert id="replaceBatch">
        replace into ctop_bytedance_report_plan_hourly(
        id,
        advertiser_id ,
        stat_datetime,
        stat_hour,
        show_num,
        click,
        convert_num,
        cost,
        active,
        download_finish,
        download_start,
        click_install ,
        install_finish ,
        register,
        pay_count ,
        in_app_uv ,
        in_app_detail_uv ,
        in_app_cart ,
        in_app_order ,
        in_app_pay ,
        phone,
        form ,
        map_search ,
        button ,
        view ,
        qq,
        lottery,
        vote ,
        redirect ,
        shopping ,
        consult,
        wechat,
        phone_confirm,
        phone_connect,
        consult_effective,
        total_play,
        valid_play,
        wifi_play,
        play_duration_sum,
        play25_feed_break,
        play50_feed_break,
        play75_feed_break,
        play100_feed_break,
        advanced_creative_phone_click,
        advanced_creative_counsel_click,
        advanced_creative_form_click,
        share,
        comment ,
        like_num ,
        follow ,
        home_visited ,
        ies_challenge_click ,
        ies_music_click,
        interact_per_cost,
        next_day_open,
        next_day_open_rate ,
        next_day_open_cost ,
        ad_id,
        ad_name ,
        campaign_id,
        create_time,
        update_time,
        channel_code)
        values
        <foreach collection="reports" item="report" separator=",">
            (
            #{report.id},
            #{report.advertiserId},
            #{report.statDatetime},
            #{report.statHour},
            #{report.showNum},
            #{report.click},
            #{report.convertNum},
            #{report.cost},
            #{report.active},
            #{report.downloadFinish},
            #{report.downloadStart},
            #{report.clickInstall},
            #{report.installFinish},
            #{report.register},
            #{report.payCount},
            #{report.inAppUv},
            #{report.inAppDetailUv},
            #{report.inAppCart},
            #{report.inAppOrder},
            #{report.inAppPay},
            #{report.phone},
            #{report.form},
            #{report.mapSearch},
            #{report.button},
            #{report.view},
            #{report.qq},
            #{report.lottery},
            #{report.vote},
            #{report.redirect},
            #{report.shopping},
            #{report.consult},
            #{report.wechat},
            #{report.phoneConfirm},
            #{report.phoneConnect},
            #{report.consultEffective},
            #{report.totalPlay},
            #{report.validPlay},
            #{report.wifiPlay},
            #{report.playDurationSum},
            #{report.play25FeedBreak},
            #{report.play50FeedBreak},
            #{report.play75FeedBreak},
            #{report.play100FeedBreak},
            #{report.advancedCreativePhoneClick},
            #{report.advancedCreativeCounselClick},
            #{report.advancedCreativeFormClick},
            #{report.share},
            #{report.comment},
            #{report.likeNum},
            #{report.follow},
            #{report.homeVisited},
            #{report.iesChallengeClick},
            #{report.iesMusicClick},
            #{report.interactPerCost},
            #{report.nextDayOpen},
            #{report.nextDayOpenRate},
            #{report.nextDayOpenCost},
            #{report.adId},
            #{report.adName},
            #{report.campaignId},
            #{report.createTime},
            #{report.updateTime},
            #{report.channelCode}
            )
        </foreach>
    </insert>
</mapper>
